@echo off
rem **mb so version 8.1 doesn't stop between mentor runs
set stoponexit=never
cls
if "%CFMCHOME%"  == "" set CFMCHOME=%CFMC%
if "%CFMCQUOTA%" == "" set CFMCQUOTA=%CFMCHOME%quota\
if "%CFMCFONE%"  == "" set CFMCFONE=%CFMCHOME%fone\
if exist qrptlist del qrptlist
if exist qrpt.spx set QRPTSPX=qrpt.spx
if not exist qrpt.spx set QRPTSPX=%CFMC%support\qrpt.spx
if "%1" == "ALL"  Goto Allfiles
if "%1" == "All"  Goto Allfiles
if "%1" =="all"  Goto Allfiles
if "%1" == "Uselist" Goto Uselist
if "%1" == "USELIST" Goto Uselist
if "%1" == "uselist" Goto Uselist
if "%1" == "" Goto Bad1
if "%2" == "" Goto Onestudy
:Bad1
echo.
echo   QUOTARPT must have 1 parameter which is a study name, "ALL" or "USELIST"!
echo.
echo   QUOTARPT produces a Quota/Phone Report on a study. reporting the time
echo   and number of calls so far on a 'triplequota mode' study and how long
echo   until completion of each quota.  It reads the quota and phone files from
echo   the %CFMCHOME% live study directories.
echo.
echo   This uses the file QRPT.SPX in the local directory if it is there or
echo   it uses the one in %CFMC%SUPPORT.  You can change this file to
echo   customize what the report print out looks like.
echo.
Goto Done
:Allfiles
dir %CfMCQUOTA%*.quo /b /a-d/o-d > QrptList
dir %CFMCQUOTA%*.quo /w
echo .
echo.
echo     Will run Quota Reports on all files in %CFMCQUOTA% listed above
echo.
echo                         Press 'break' to stop
echo.
pause
Goto Mentor1
:Uselist
If Exist Uselist Goto Copylist
echo.
echo     Parm 1 is USELIST, but file list USELIST does not exist!!
echo.
goto Done
:Copylist
copy uselist qrptlist > nul
echo.
type qrptlist
echo .
echo.
echo Will run quota reports on all studies from 'uselist' noted above
echo.
echo                      Press 'break' to stop
echo.
pause
:Mentor1
if exist qrpt.bat del qrpt.bat
copy %QRPTSPX% mentr.job > nul
Mentor "&&&-%CFMC%support\mentj.qff" "null" "DEFINE:@PART1=Y"
echo.
echo     qrpt.bat command file created and being processed
echo.
set uselist=yes
call qrpt.bat
if exist qrpt.bat del qrpt.bat
if exist qrptlist del qrptlist
echo.
copy *.qrt qrpt.rpt > nul
echo.
echo.
echo   Quotarpt done.
echo.
echo   See 'study'.qrt for individual reports on studies.
echo.
echo   See qrpt.rpt for full report on all studies
echo.
echo.
goto Done

:OneStudy
set CfMCStudy=%1%
echo.
echo   QUOTARPT producing a quota/phone report for study '%CfMCStudy%'
echo.
if Exist %CFMCHOME%quota\%CfMCStudy%.quo GOTO OkayQuota
echo.
echo   Quota file "%CFMCQUOTA%%CfMCStudy%.quo" does not exist, cannot continue!
echo.
Goto Done
:OkayQuota
copy %QRPTSPX% mentr.job  > nul
quotamod "%QRPTSPX%" "-%CfMCSTUDY%.ot1" "DEFINE:@PART2=Y"  > nul
if exist %CFMCHOME%fone\%CfMCStudy%.fon GOTO Havefon
echo.
echo   There is no .fon file for study %CfMCStudy% in %CFMCFONE%, will use quota info only.
echo.
mentor "&&&-%CFMC%support\mentj.qff" "-%CfMCSTUDY%.ot3" "DEFINE:@NPH=Y" "DEFINE:@PART4=Y"
if exist %CFMCSTUDY%.qrt mentor "&&&-%CFMC%support\mentj.qff" "-%CfMCSTUDY%.ot4" "DEFINE:@NPY=Y" "DEFINE:@PART5=Y"
Goto ReportDone
:HaveFon
foneutil "%QRPTSPX%" "-%CfMCSTUDY%.ot2" "DEFINE:@PART3=Y" > nul
mentor "&&&-%CFMC%support\mentj.qff" "-%CfMCSTUDY%.ot3" "DEFINE:@PART4=Y"
if exist %CFMCSTUDY%.qrt mentor "&&&-%CFMC%support\mentj.qff" "-%CfMCSTUDY%.ot4" "DEFINE:@PART5=Y"
:ReportDone
cls
del mentr.job > nul
if exist %CfMCStudy%.aqf del %CfMCStudy%.aqf
if exist %CfMCStudy%.aqg goto delaqg
echo.
echo.
echo.
echo ***********************************************************************
echo.
echo No TARGET quotas found in file %CfMCStudy%.quo, no quota report done.
echo.
echo ***********************************************************************
echo.
:delaqg
if exist %CfMCStudy%.aqg del %CfMCStudy%.aqg
if exist %CfMCStudy%.aqu del %CfMCStudy%.aqu
if exist %CfMCStudy%.aqv del %CfMCStudy%.aqv
if exist %CfMCStudy%.aqw del %CfMCStudy%.aqw
if exist %CfMCStudy%.aqx del %CfMCStudy%.aqx
if exist %CfMCStudy%.qrt goto delfiles
echo.
echo.
echo.
echo        Quota Report %CfMCStudy%.qrt NOT completed!
echo.
echo        See %CfMCSTUDY%.ot3 for more information!
echo.
goto done
:Delfiles
if exist %CfMCSTUDY%.ot1 del %CfMCSTUDY%.ot1
if exist %CfMCSTUDY%.ot2 del %CfMCSTUDY%.ot2
if exist %CfMCSTUDY%.ot3 del %CfMCSTUDY%.ot3
if exist %CfMCSTUDY%.ot4 del %CfMCSTUDY%.ot4
echo.
echo.
echo   Quota Report for study '%CfMCStudy%' done and saved in file '%CfMCStudy%.qrt'.
echo.
echo   Delimited and html versions saved as '%CFMCSTUDY%.qlm' and '%CFMCSTUDY%.qtm'.
echo.
if "%uselist%" == "yes" goto done
echo                       Press 'enter' to see quota info.
echo.
pause
type %CfMCSTUDY%.qrt | more
:done
set CFMCSTUDY=
set QRPTSPX=
