#!/bin/csh
clear
set nonomatch
# UNIX codeedit batch file: Mike Blair 2/10/00
#
# This runs MENTOR on the file cdedt.spx to create a coding questionnaire.
# The parameters are 1) study name and 2) MAKECODELISTS
#
set parm1=`echo $1 | tr "[:upper:]" "[:lower:]"`
if ( $#argv == 0 ) then
  echo ""
  echo "You MUST enter a study name for verbedit.  Try again."
  echo ""
  echo "       VERBEDIT creates an editting questionnaire using the file" 
  echo "       ${CFMC}support/vbedt.spx."
  echo ""
  echo "       Say "VERBEDIT 'study'" to make <study>v.qff to edit with."
  echo ""
  echo ""
  goto endit
endif
setenv CFMCSTUDY $parm1
${CFMC}go/mentor "${CFMC}support/vbedt.spx" "-vbedt.lfl" "core:3000000"
goto endit
endit:
echo ""
