#!/usr/bin/perl 
# -w
# Script to convert index for setups to html
#

open(NEW,">index.html");
  print NEW "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<html>
<head>
<title>Index of CfMC Survent Setups v7.6</title>
<META http-equiv=Content-Type content=\"text/html; charset=windows-1252\">
</head>
<body>
<center><h3>
<a name=\"BEGIN\">INDEX of files/examples in the CFMC SURVENT directory: Version 7.6</a>
</h3></center>
<p>
Subsections include:
<ul>
<li><a href=\"#SURVENT\">INTERVIEWING FEATURES</a>
<li><a href=\"#PHONE\">PHONE SYSTEM RELATED</a>
<li><a href=\"#CODING/EDITING\">CODING RELATED</a>
<li><a href=\"#MENTOR/SYSTEM\">MENTOR Pre-post processing</a>
<li><a href=\"#DOCUMENTATION\">DOCUMENTATION related files</a>
</ul>
</p>
<p>
Descriptions of suffixes:
<ul>
<li><b>.qpx</b> files are questionnaires that perform particular functions.<br>
<li><b>.spx</b> files are MENTOR applications that produce reports or modify files.<br>
<li><b>.doc</b> files are documentation only, they do not run.  They will be in the DOC group in MPEXL
<li><b>.zip</b> files are zip files.  These will be in the ZIP group in MPEXL and these users will need to download these files Binary (NOT Labelled) to their PCs in order to look at/use them.
</ul>
<p>
All files are spec files to be run using MENTOR unless otherwise stated.
</p>
<p>For DOS clients, .qpx files require a PREPARE key and .spx files require a
MENTOR key to run, unless the MENTRJOB command is used.
</p>
";
  &maketab();
  print NEW "</body></html>";
close(NEW);

exit(0);

sub maketab {
  open(ORIG,"index.unformat");
    while (<ORIG>) {
      if ( substr($_,0,1) eq "%" ) {
        if ( $afterfirst ) {
          print NEW "</table>\n";
          print NEW "<a href=\"#BEGIN\">Back To Beginning</a><br>\n";
        }
        $afterfirst=1;
        chomp($title = substr($_,1)); 
        @t1 = split(/ /,$title);
        $tanc = $t1[0];
        print NEW "<center><h3><a name=\"$tanc\">$title</h3></center>\n";
        print NEW "<table border=1>\n";
      } else {
        chomp($first14 = substr($_,0,13));
        $first14 =~ s/ //g;
        if (( length($first14) > 0 ) && ( index($first14,"*(") < 0 )) {
          $desc = "";
          $name = lc(substr($_,0,13));
          $name =~ s/ //g;
          $name =~ s/\^/\./g;
          print NEW "<tr><td width=\"10%\" valign=\"top\"><a href=\"survset/$name\">$name</a></td>\n";
        }
        $desc2 = substr($_,14);
        chomp($desc = "$desc $desc2");
        if (( length($_) <= 1 ) && ( $desc )) {
          print NEW "<td>$desc</td></tr>\n";
          $desc="";
        }
      }
    }
    print NEW "</table>\n";
    print NEW "<a href=\"#BEGIN\">Back To Beginning</a><br>\n";
  close(ORIG);
}

