#!/bin/csh
#echo "just got in"
#   LISTCODE batch file: Mike Blair 3/1/02
#
#   This runs MENTOR on the file lstcd.spx to create a coding questionnaire.
#   The parameters are 1) study name and 2) question label or ALL
#
clear
set nonomatch
if ( $#argv == 2 ) then
echo " "
else
   echo ""
   echo "You MUST enter a study name and question name or ALL for listcode.  Try again."
   echo ""
   echo "   Listcode creates a listing of openends coded and uncoded, as well as counts."
   echo "   You get three files: study.question.all, .todo, and .done."
   echo ""
   echo "   Say 'listcode 'study' 'question' to generate the files for that question."
   echo "   Say 'listcode 'study' ALL' to get a listing for all questions."
   echo ""
   goto endit
endif
set parm1=`echo $1 | tr "[:upper:]" "[:lower:]"`
set parm2=`echo $2 | tr "[:upper:]" "[:lower:]"`
# echo "at 1"
setenv STUDY $parm1
setenv VARTODO $parm2
setenv CODEAREA ${CFMC}studies/${STUDY}/coding/
setenv DATAAREA ${CFMC}data/
#echo "here 2"
if ( ! -r ${DATAAREA}${STUDY}x.tr ) then
   echo ""
   echo "   'listcode $parm1 $parm2' requires '${DATAAREA}${STUDY}x.tr' to exist,"
   echo ""
   echo "   try again! (HINT: Rename your input file to this name)"
   echo ""
   goto endit
endif
if ( ! -r  ${CODEAREA}${STUDY}x.db ) then
   echo ""
   echo "   'listcode $parm1 $parm2' requires ${CODEAREA}${STUDY}x.db to exist, "
   echo ""
   echo "   try again! (NOTE: Get it from the person who set up codeedit)"
   echo ""
   goto endit
endif
${CFMC}go/mentor "&-listcode.spx" "-listcode.lfl"
echo " "
echo " "
echo "Listing for all in ${parm1}.${parm2}.all, coded in .done, uncoded in .todo."
endit:
echo " "
