@echo off
rem
rem batch file to make a standalone survent demo. Enter the name of the study,
rem program will load study.qff/.quo/.dbr/.fon/.fnx, survent.cfg, uninstal.bat,
rem survent.exe, control\ttyfile, control\msgfile, control\parmfile, and dos4gw.exe.
rem
rem End user will say: makesurv a: c: or just 'makesurv' for local drive.
rem
rem Program will be loaded on c: drive and start running survent on study
rem See also makesurv.bat.
rem
rem Works with CfMC versions 7.6+.
rem
rem We also put out versions of the parmfile, ttyinfo and ttyfile so they can run
rem without versions of those files. 
echo.
if "%1"=="" echo.
if "%1"=="" echo You MUST specify the study name(s), for example:
if "%1"=="" echo.
if "%1"=="" echo    makedemo 'study' 
if "%1"=="" echo
if "%1"=="" echo If you have a 'call' questionnaire you can use:
if "%1"=="" echo
if "%1"=="" echo    makedemo 'study1' 'study2' or
if "%1"=="" echo    makedemo 'study1' 'study2' 'study3'.
if "%1"=="" echo.
if "%1"=="" goto error
if not exist %CFMC%go\survent.exe echo SURVENT.EXE program not found or CFMC variable not set!
if not exist %CFMC%go\survent.exe echo.
if not exist %CFMC%go\survent.exe echo Cannot create demo diskette.
if not exist %CFMC%go\survent.exe goto endit
if "%3"=="" goto second
if exist %3.qff goto second
echo.
echo  The study file %3.qff does not exist, cannot load it!  Try again!
echo.
goto error
:second
if "%2"=="" goto first
if exist %2.qff goto first
echo.
echo  The study file %2.qff does not exist, cannot load it!  Try again!
echo.
goto error
:first
if exist %1.qff goto next
echo.
echo  The study file %1.qff does not exist, cannot load it!
echo.
:error
echo.
pause
echo.
echo  Say "makedemo 'study1' 'study2' 'study3'" to create an executable survent
echo  demo using the local study files .qff, .dbr, .quo, .fon, .fnx, etc.
echo.
echo  The program will copy program files locally and create 'survfils.exe'.
echo  You may put this on a diskette or send it by other means.
echo.
echo  This batch program requires pkzip.exe and zip2exe.exe.  If you don't have
echo  these they are shareware that can be found on the internet or you may
echo  call CfMC to get a copy.
echo.
echo  You must have and be set up to run a local version of the CfMC survent software
echo. for this demo setup to work.
echo.
goto endit
:next
echo  Makedemo loads your local study files (.qff/.quo/.fon/.fnx) into a zip file
echo  to be distributed to other computers for questionnaire testing.
echo.
echo  It also loads the CfMC Survent program files (survent.exe, msgfile, etc.).
echo  You must be set up to run Survent and have compiled versions of your
echo  questionnaire files in the local directory for this demo setup to work.
echo  Your CfMC Survent system is currently set up to run from "%CFMC%".
echo.
echo  About to copy program files and "%1" study files to survfils.exe.
echo  Press 'break' to stop now or . . .
echo.
pause
if not exist control mkdir control
copy %CFMC%control\msg*. control > nul
if exist makedemo.prm copy makedemo.prm control\parmfile > nul
if exist makedemo.tti copy makedemo.tti control\ttyinfo  > nul
if exist makedemo.tty copy makedemo.tty control\ttyfile  > nul
if exist control\parmfile goto next2
if exist %CFMC%survent\makedemo.prm copy %CFMC%survent\makedemo.prm control\parmfile > nul
if exist %CFMC%survent\makedemo.tti copy %CFMC%survent\makedemo.tti control\ttyinfo  > nul
if exist %CFMC%survent\makedemo.tty copy %CFMC%survent\makedemo.tty control\parmfile > nul
:next2
if exist %CFMC%control\fonestat copy %CFMC%control\fonestat control > nul
if exist %CFMC%survent\makesurv.bat  copy %CFMC%survent\makesurv.bat . > nul
if exist %CFMC%control\uninstal.bat  copy %CFMC%survent\uninstal.bat . > nul
rem remove old version(s) and rebuild
if exist survfils.zip del survfils.zip > nul
if exist survfils.exe del survfils.exe > nul
pkzip -P -r survfils control\*.* > nul
pkzip -u survfils %1.qff %1.quo %1.fon %1.dbr > nul
if exist %1.fnx pkzip -u survfils %1.fnx %1.fny %1.fnz > nul
if exist %2.qff pkzip -u survfils %2.qff %2.dbr %2.quo %2.fon > nul
if exist %2.fnx pkzip -u survfils %2.fnx %2.fny %2.fnz > nul
if exist %3.qff pkzip -u survfils %3.qff %2.dbr %3.quo %3.fon > nul
if exist %3.fnx pkzip -u survfils %3.fnx %3.fny %3.fnz > nul
pkzip -u survfils survent.cfg uninstal.bat > nul
pkzip -u survfils %cfmc%go\survent.exe %cfmc%go\dos4gw.exe > nul
zip2exe survfils
del survfils.zip > nul
echo.
echo.
echo The following is a list of the files being wrapped up to send:
echo.
pause
pkzip -v survfils.exe
dir /b makesurv.bat
pause
echo.
echo Send survfils.exe and makesurv.bat to the end user and instruct them to type
echo "makesurv" to run it on their end.
echo.
echo You may want to zip these up into a file like "survdemo.zip" and send it as
echo some email programs will not send .exe files.
echo.
echo If you send files on a diskette, they can copy the files locally first
echo and say "makesurv" or they can just say "makesurv 'fromdrive' 'todrive',
echo for example, "makesurv a: c:".
echo.
echo The files will be loaded to the \survdemo directory on their local drive.
echo They can type "survent" from the \survdemo directory to run the program again.
echo They can use 'uninstal.bat' to remove the files when they are done.
:endit
echo.
