@ECHO OFF
rem **mb so version 8.1 doesn't stop between mentor runs
set stoponexit=never
IF NOT "%1"=="" SET STUDY=%1
IF NOT "%2"=="" SET QQNUM=%2
ECHO.
ECHO   SAVING SUSPENDS FOR STUDY "%STUDY%" AFTER QUESTION NUMBER "%QQNUM%"
ECHO.
ECHO   This makes .TR records out of suspends that have been suspended after
ECHO     a particular question in your questionnaire.  To decide which question
ECHO     to use, run FONEUTIL'S "@" option and/or look at a SUM file or QSP file
ECHO     to determine the point after which a questionnaire should be kept
ECHO     as a complete.
ECHO.
ECHO     You MUST have the CFMCFONE variable set or have a local .fon file.
ECHO.
ECHO     NOTE1: This will REMOVE the files from the RESUME directory that it saves,
ECHO            and "KILL" (give resolved status 81) the phone records in the ^fon
ECHO            file after writing the suspend data to the new file.
ECHO.
ECHO     The directory "%CFMC%RESUME\%STUDY%.SAV" will have the new files.
ECHO     The file "%STUDY%.trs" will be a .TR FILE with all converted records.
ECHO     Use COPYFILE to append this data to your study data, and/or use
ECHO         "NEWID^SPX" to put case ids on the records.
ECHO.
ECHO     PRESS "Return" to CONTINUE OR "BREAK" to EXIT
ECHO.
PAUSE
IF "%STUDY%"=="" GOTO BAD
IF "%QQNUM%"=="" GOTO BAD
IF "%CFMCRESUME%"=="" SET CFMCRESUME=%CFMC%RESUME\
MKDIR %CFMCRESUME%%STUDY%.SAV
FONEUTIL "%CFMC%SUPPORT\MKSUS.SPX" "-%STUDY%.SP1,-formfeed" "DEFINE:@PART1=Y"
REM
REM NOTE: THIS MAKE **ALL** TR AND SUS FILES.
REM       DO WE WANT TO DELETE EXISTING ONES WHEN FINISHED?
REM
SUSPRES "%CFMC%SUPPORT\MKSUS.SPX" "-%STUDY%.SP2,formfeed" "DEFINE:@PART2=Y"
REM
REM USING MENTRJOB SO DON'T NEED A KEY TO RUN THIS!
REM
COPY %CFMC%SUPPORT\MKSUS.SPX MENTR.JOB > nul
MENTOR "&&&-%CFMC%SUPPORT\MENTJ.QFF" "$NULL" "DEFINE:@PART3=Y"
ECHO.
FONEUTIL "%STUDY%.SP3" "-%STUDY%.KIL,-formfeed" "DEFINE:@STUDY=!STUDY!"
ECHO.
DELETE %STUDY%.SP3
GOTO GOOD
:BAD
ECHO.
ECHO ERROR: YOU DID NOT SAY THE STUDY NAME OR QUESTION NUMBER (QQNUM)!!
ECHO.
ECHO EITHER SAY "MAKESUSP 'studyname' 'qqnum'" eg. "MAKESUSP EXAM2 1.00" OR
ECHO.
ECHO.       SAY "SET STUDY=NAME" AND "SET QQNUM=###.##" AND THEN "MAKESUSP"
ECHO.
ECHO        TO CONTINUE
ECHO.
:GOOD
CLS
ECHO.
ECHO.
ECHO You have created   **** "%STUDY%.trs" ****
ECHO.
ECHO.    which is a CfMC .TR file with the group of suspends you just saved.
ECHO.
ECHO See "%STUDY%.kil" for the list of records saved and given
ECHO     status 81 in FONEUTIL.
ECHO.
ECHO Use COPYFILE to append this data to your study data, and/or use
ECHO     "newid.spx" to put case ids on the records.
ECHO.
ECHO.